Package ghidra.app.util.navigation

# Class GoToAddressLabelDialog

java.lang.Object
docking.DialogComponentProvider
docking.ReusableDialogComponentProvider
ghidra.app.util.navigation.GoToAddressLabelDialog

All Implemented Interfaces:
  `ActionContextProvider`, `GoToServiceListener`, `StatusListener`, `TaskListener`

public class GoToAddressLabelDialog extends ReusableDialogComponentProvider implements GoToServiceListener

- ## Field Summary

  ### Fields inherited from class docking.DialogComponentProvider

  `applyButton, buttonPanel, cancelButton, dismissButton, okButton, rootPanel`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GoToAddressLabelDialog(GoToService gotoService, Plugin plugin)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected final JPanel`
  `buildMainPanel()`
  Builds the main panel for this dialog.
  `void`
  `close()`
  `protected void`
  `dialogShown()`
  Override this method if you want to do something when the dialog is made visible
  `List<String>`
  `getHistory()`
  `void`
  `gotoCompleted(String queryString, boolean foundResults)`
  Notification that the GOTO completed.
  `void`
  `gotoFailed(Exception exc)`
  Notification that the GOTO failed with an exception.
  `void`
  `maxEntrysChanged()`
  `final void`
  `okCallback()`
  The callback method for when the "OK" button is pressed.
  `void`
  `readConfigState(SaveState saveState)`
  `void`
  `setCaseSensitive(boolean b)`
  `void`
  `setCStyleInput(boolean cStyleInput)`
  `void`
  `setMemory(boolean goToMemory)`
  `void`
  `setText(String text)`
  `void`
  `show(Navigatable nav, Address addr, PluginTool tool)`
  Popup up the dialog in the center of the tool.
  `void`
  `writeConfigState(SaveState saveState)`

  ### Methods inherited from class docking.ReusableDialogComponentProvider

  `dispose`

  ### Methods inherited from class docking.DialogComponentProvider

  `addAction, addApplyButton, addButton, addCancelButton, addDismissButton, addOKButton, addWorkPanel, alertMessage, alertMessage, applyCallback, cancelCallback, cancelCurrentTask, clearScheduledTask, clearStatusText, closeDialog, dialogClosed, dismissCallback, doInitialize, escapeCallback, executeProgressTask, getActionContext, getActions, getBackground, getBounds, getComponent, getDefaultButton, getDefaultSize, getDialogSize, getFocusComponent, getGlassPane, getHelpLocation, getId, getInitialLocation, getLocationOnScreen, getParent, getPreferredSize, getRememberLocation, getRememberSize, getStatusColor, getStatusLabel, getStatusText, getTaskMonitorComponent, getTaskScheduler, getTitle, getUseSharedLocation, hideTaskMonitorComponent, isApplyEnabled, isCancelEnabled, isModal, isOKEnabled, isResizeable, isRunningTask, isShowing, isTransient, isVisible, notifyContextChanged, removeAction, removeButton, removeWorkPanel, repack, setApplyEnabled, setApplyToolTip, setBackground, setCancelButtonText, setCancelEnabled, setCancelToolTip, setCursor, setDefaultButton, setDefaultSize, setDialogSize, setDismissToolTip, setFocusComponent, setGlassPane, setHelpLocation, setInitialLocation, setMinimumSize, setMinimumSize, setOkButtonText, setOkEnabled, setOkToolTip, setPreferredSize, setRememberLocation, setRememberSize, setResizable, setStatusJustification, setStatusText, setStatusText, setStatusText, setTitle, setTransient, setUseSharedLocation, showProgressBar, showTaskMonitorComponent, stopProgressTimer, taskCancelled, taskCompleted, toFront, toString, waitForCurrentTask`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GoToAddressLabelDialog

    public GoToAddressLabelDialog(GoToService gotoService, Plugin plugin)

- ## Method Details

  - ### show

    public void show(Navigatable nav, Address addr, PluginTool tool)
    Popup up the dialog in the center of the tool.
    Parameters:
      `nav` - the Navigatable
      `addr` - the address
      `tool` - the PluginTool

  - ### dialogShown

    protected void dialogShown()
    Description copied from class: `DialogComponentProvider`
    Override this method if you want to do something when the dialog is made visible
    Overrides:
      `dialogShown` in class `DialogComponentProvider`

  - ### close

    public void close()
    Overrides:
      `close` in class `ReusableDialogComponentProvider`

  - ### gotoCompleted

    public void gotoCompleted(String queryString, boolean foundResults)
    Description copied from interface: `GoToServiceListener`
    Notification that the GOTO completed.
    Specified by:
      `gotoCompleted` in interface `GoToServiceListener`
    Parameters:
      `queryString` - original query string
      `foundResults` - true if at least one hit was found for the query

  - ### gotoFailed

    public void gotoFailed(Exception exc)
    Description copied from interface: `GoToServiceListener`
    Notification that the GOTO failed with an exception.
    Specified by:
      `gotoFailed` in interface `GoToServiceListener`
    Parameters:
      `exc` - the exception that occurred.

  - ### buildMainPanel

    protected final JPanel buildMainPanel()
    Builds the main panel for this dialog.
    Returns:
      the main panel for this dialog

  - ### readConfigState

    public void readConfigState(SaveState saveState)

  - ### writeConfigState

    public void writeConfigState(SaveState saveState)

  - ### okCallback

    public final void okCallback()
    Description copied from class: `DialogComponentProvider`
    The callback method for when the "OK" button is pressed.
    Overrides:
      `okCallback` in class `DialogComponentProvider`

  - ### maxEntrysChanged

    public void maxEntrysChanged()

  - ### setCaseSensitive

    public void setCaseSensitive(boolean b)

  - ### getHistory

    public List<String> getHistory()

  - ### setCStyleInput

    public void setCStyleInput(boolean cStyleInput)

  - ### setMemory

    public void setMemory(boolean goToMemory)

  - ### setText

    public void setText(String text)